# JPA Details view (for attributes)

The JPA Details view displays the persistence information for the currently selected mapped attribute and contains the following areas:

Mapping Type

- Basic Mapping

- Element Collection Mapping

- Embedded Mapping

- Embedded ID Mapping

- ID Mapping

- Many-to-Many Mapping

- Many-to-One Mapping

- One-to-Many Mapping

- One-to-One Mapping

- Version Mapping

Additional Information

Depending on the mapping type, the following additional areas will be available:

- Value

- Type information

- Converters

- Ordering

- Joining Strategy

- Derived Identity

- Primary Key Generation information